/*********************************************
*MESSAGE DE PATIENCE AU CHARGEMENT DE LA PAGE*
*********************************************/
	/* Style de l'écran de verrouillage */
	#loading_screen {
		position: fixed;
		top: 0;
		left: 0;
		width: 100%;
		height: 100%;
		background-color: rgba(255, 255, 255, 0.95); /* Fond blanc légèrement transparent */
		z-index: 9999; /* S'assure que le loader est au-dessus de tout */
		display: flex;
		justify-content: center;
		align-items: center;
		transition: opacity 0.4s ease-out, visibility 0.4s;
	}

	/* Conteneur du texte et du spinner */
	.loader_content {
		text-align: center;
		color: var(--bleu-fgaac);
	}

	/* Le Spinner en pur CSS */
	.loader_spinner {
		width: 50px;
		height: 50px;
		border: 5px solid color-mix(in srgb, var(--bleu-fgaac), #FFFFFF 85%);
		border-top: 5px solid var(--bleu-fgaac); /* Couleur principale du chargement */
		border-radius: 50%;
		margin: 0 auto 20px;
		animation: spin 1s linear infinite;
	}

	/* Animation de rotation */
	@keyframes spin {
		0% { transform: rotate(0deg); }
		100% { transform: rotate(360deg); }
	}

	/* Classe de transition pour masquer proprement */
	#loading_screen.loading_hidden {
		opacity: 0;
		visibility: hidden;
	}
/*************************************
**************************************
*************************************/